Subject: CVS commit: pkgsrc/audio/librespot
From: pin
Date: 2021-02-21 19:53:05
Message id: 20210221185305.8320DFA95@cvs.NetBSD.org

Log Message:
audio/librespot: update to 0.1.5

Upstream does not provide a ChangeLog and, with six months since the previous
release, changes are too many to pick manually.

Unfortunately, the commit we have been pulling from, and that made it possible
to build without patches (a2f832dff171914935f7e1a98a5da3d7c8a0b789), has been
reverted.

The package again depends on get_if_addrs instead of if-addrs. get_if_addrs is
as an archived crate and needs to be patched to build on NetBSD.
It's not either possible to upstream patches. Actually, the needed patch has
already been upstremed and merged but, it didn't make it into the final release.
On the other hand, if-addrs is actively maintained and would be a better option.

I've contacted the developers by e-mail and asked for the revert reason.

Files:
RevisionActionfile
1.1addpkgsrc/audio/librespot/patches/patch-vendor_get_if_addrs-0.5.3_src_lib.rs
1.2modifypkgsrc/audio/librespot/distinfo
1.2modifypkgsrc/audio/librespot/cargo-depends.mk
1.7modifypkgsrc/audio/librespot/Makefile